<script lang="ts" setup>
import type { Station } from '~/entities';

const zoom = ref(14);
const myPostion = ref([0,0]);
const {data:stations} = await useFetch<Station[]>('http://localhost:8080/api/station')

onMounted(() =>{
  navigator.geolocation.watchPosition((position) => {
    myPostion.value = [position.coords.latitude, position.coords.longitude]
  });
})
</script>

<template>
  <div style="height: 100vh; width: 100vw">
    <LMap
      ref="map"
      :zoom="zoom"
      :center="[45.75578044545989,4.891547853283188]"
    >
      <LTileLayer
        url="https://{s}.tile.openstreetmap.org/{z}/{x}/{y}.png"
        attribution="&amp;copy; <a href=&quot;https://www.openstreetmap.org/&quot;>OpenStreetMap</a> contributors"
        layer-type="base"
        name="OpenStreetMap"
      />
      <LMarker :lat-lng="[station.latitude,station.longitude]" v-for="station of stations" :key="station.id">
        <LPopup>
          <StationItem :station="station"/>
        </LPopup>
        <LTooltip>{{station.name}}</LTooltip>
      </LMarker>

      <LCircle :lat-lng="[myPostion[0], myPostion[1]]"></LCircle>
    </LMap>
  </div>
</template>

<style scoped></style>
